#
# spec file for package python-openstackdocstheme
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global sname openstackdocstheme
Name:           python-openstackdocstheme
Version:        1.5.0
Release:        3.1
Summary:        OpenStack Docs Theme
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://launchpad.net/%{sname}
Source0:        https://pypi.io/packages/source/o/%{sname}/%{sname}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-Sphinx
BuildRequires:  python-devel
BuildRequires:  python-oslosphinx >= 2.5.0
BuildRequires:  python-pbr >= 1.6
BuildRequires:  python-requests >= 2.10.0
BuildRequires:  python-setuptools >= 16.0
Requires:       python-Sphinx
Requires:       python-oslosphinx >= 2.5.0
Requires:       python-requests >= 2.10.0
BuildArch:      noarch

%description
Theme and extension support for Sphinx documentation that is published
to docs.openstack.org. Intended for use by OpenStack projects.

%prep
%setup -q -n %{sname}-%{version}

%build
%py2_build

%install
%py2_install

%check
%{__python2} setup.py testr

%files
%license LICENSE
%doc README.rst
%{python2_sitelib}/%{sname}
%{python2_sitelib}/*.egg-info

%changelog
* Wed Sep  7 2016 tbechtold@suse.com
- update to version 1.5.0
  * API References dropdown menu
  * Allow automatic toc to be disabled
* Wed Aug 10 2016 tbechtold@suse.com
- update to version 1.4.0
  * Use HTTPS for external deps
  * Increase indent level of doc top contents
  * Create empty folder for custom font files
  * Change summit video URL
  * Actually include custom JS files
  * Broken Link
  * Allow the bug title to be customisable
  * Fix text font-family of admonitions.
  * Update the Administrator Guide link
  * Add appropriate order list styles
  * Make ``something`` more highlighted
  * Allow for inclusion of custom JS files
  * Release note for new sidebar feature
  * Clarify uses for this theme
  * Update Release Notes
  * Updated from global requirements
  * Set side bar content to be configurable
  * Adds release notes items for next release
  * Allow cssfiles added by sphinx extensions
* Fri Jul 22 2016 tbechtold@suse.com
- Initial packaging (version 1.3.0)
